import { Plugin } from 'vite';
type ReplaceFn = (source: string, path: string) => string;
type ReplacePair = {
    from: RegExp | string | string[];
    to: string | number;
};
interface Replacement {
    /**
     * for debugging purpose
     */
    id?: string | number;
    filter: RegExp | string | string[];
    replace: ReplacePair | ReplaceFn | Array<ReplacePair | ReplaceFn>;
}
interface Options extends Pick<Plugin, 'enforce' | 'apply'> {
}
export default function replace(replacements?: Replacement[], options?: Options): Plugin;
export {};
